class_name Door extends StaticBody3D

const Interactor = preload("res://src/interactor.gd")

@export var locked: bool = false

func _on_interact(_interactor: Interactor):
    print('interacting!! with the door!!')
